import { RouterType } from '@/types'
import React from 'react'

const tabLeftArr: RouterType = [
  {
    id: 1,
    name: '课程预约',
    son: [
      {
        id: 200,
        name: '用户管理',
        path: '/',
        Com: React.lazy(() => import('../A1webuser'))
      },
      {
        id: 300,
        name: '课程预约设置',
        path: '/orderSet',
        Com: React.lazy(() => import('../A2orderSet'))
      },
      {
        id: 400,
        name: '课程设置',
        path: '/course',
        Com: React.lazy(() => import('../A3course'))
      },
      {
        id: 500,
        name: '团队认证<span>(民生事务局)</span>',
        path: '/proveSuo',
        Com: React.lazy(() => import('../A4proveSuo'))
      },
      {
        id: 600,
        name: '团队认证<span>(街坊会联合总会)</span>',
        path: '/proveHui',
        Com: React.lazy(() => import('../A5proveHui'))
      },
      {
        id: 700,
        name: '课程预约记录',
        path: '/record',
        Com: React.lazy(() => import('../A6record'))
      }
    ]
  },
  {
    id: 2,
    name: '展览预约',
    son: [
      {
        id: 800,
        name: '待完善',
        path: '/exhibit',
        Com: React.lazy(() => import('../B1exhibit'))
      }
    ]
  },
  {
    id: 4,
    name: '系统管理',
    son: [
      {
        id: 2100,
        name: '后台用户',
        path: '/user',
        Com: React.lazy(() => import('../Z1user'))
      },
      {
        id: 2200,
        name: '系统日志',
        path: '/log',
        Com: React.lazy(() => import('../Z2log'))
      }
    ]
  }
]

export default tabLeftArr
